#ifndef _SPLITTERVIEW_H_
#define _SPLITTERVIEW_H_

#include <View.h>
#include <Rect.h>
#include <List.h>

#define C_LEFT		0
#define C_RIGHT		1

class CSplitterView : public BView 
{
	public:
	
		/* constructor */
		CSplitterView(BRect frame,
					   const char *name=NULL,
					   uint32 ResizingMode=B_FOLLOW_ALL,
					   uint32 flags=B_WILL_DRAW | B_FRAME_EVENTS | B_FULL_UPDATE_ON_RESIZE);

		/* destructor */
		~CSplitterView();

		/* add a child */
		void AddChild(BView *aView, 
					   uint32 pane,	
					   BView *sibling=NULL);

		/* remove a child */
		bool RemoveChild(BView *aView);

		/* implemented Draw function */
		virtual void Draw(BRect rect);

		/* implemented MouseMoved function */
		virtual void MouseMoved(BPoint point, uint32 transit, const BMessage *message);

		/* implement MouseDown function */
		virtual void MouseDown(BPoint point);

		/* implement MouseUp function */
		virtual void MouseUp(BPoint point);

		/* implement FrameResized function */
		virtual void FrameResized(float width, float height);

		/* pre-calculate bounds for a particular pane */
		BRect CalcPaneBounds(uint32 pane);

	private:

		/* calculate child bounds */
		BRect CalcChildBounds(BView *aView, uint32 pane);	
	
		bool	iTracking;
		float	iSplitFactor;
		float	iSplitLineWidth;
		BRect	iSplitLineRect;
		
		BList*	iChildList;
};

#endif